首页新闻找找看学习计划

IDEA创建springboot空项目,编译报错???

0
悬赏园豆:50 [待解决问题]

使用idea2018.3创建springboot项目,jdk使用的1.8版本,创建项目使用的spring Initializr,项目勾选的web项目,然后直接创建了,运行application没有问题,但是当我rebuild项目的时候,就抛出了异常:Warning:java: 无法找到类型 'org.junit.jupiter.api.extension.ExtendWith' 的注释方法 'value()': 找不到org.junit.jupiter.api.extension.ExtendWith的类文件

我不知道这个是什么原因造成的,真的是idea创建的spring boot的空项目,创建完后直接rebuild就报这个错误,我几天一直在找这方面的资料,国内基本没有,国外也很少,没有任何有效的解决方案,虽然不影响程序运行,但是我真的担心如果项目做起来了出现什么莫名其妙的问题,现在实在是找不到任何解决方法了,希望有java高手能指点一下是什么原因?

异次元代码的主页 异次元代码 | 初学一级 | 园豆:101
提问于:2019-05-04 15:51
< >
分享
所有回答(4)
0

导入的类文件里少了啥

骑着兔子的蜗牛 | 园豆:291 (菜鸟二级) | 2019-05-04 21:01
0

这个类是junit的,是否正确的引用了junit

2012 | 园豆:18894 (专家六级) | 2019-05-05 08:14
0

少点啥吧,昨天我就少了个JAR包,我以为我写错了,弄了1个多小时,脑子感觉都缺氧了

千古如何不见一人闲 | 园豆:206 (菜鸟二级) | 2019-05-05 13:43
0

这个是warning,不是error.
此外,此报警信息可能是某个依赖使用到了junit包.
按照我的经验,不影响使用.
不过,如果不放心的话,可以在pom文件中导入junit包(具体可以去maven中央仓库搜索指定版本).

如果想找到具体是哪个包依赖于junit,可以使用mvn dependency:tree查看依赖情况.

从此寂静无声 | 园豆:210 (菜鸟二级) | 2019-05-16 15:08
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册